Loading...
Searching...
No Matches
matrix.h File Reference

Matrix class. More...

`#include <algorithm>`
`#include <sstream>`
`#include <type_traits>`
`#include <vector>`
`#include <libcamera/base/log.h>`
`#include <libcamera/base/span.h>`
`#include "libcamera/internal/yaml_parser.h"`
Include dependency graph for matrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::Matrix< T, Rows, Cols >
| Matrix class. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Functions

template<typename T, typename U, unsigned int Rows, unsigned int Cols>
Matrix< U, Rows, Cols > | libcamera::operator* (T d, const Matrix< U, Rows, Cols > &m)
| Multiply the matrix by a scalar.
template<typename T, typename U, unsigned int Rows, unsigned int Cols>
Matrix< U, Rows, Cols > | libcamera::operator* (const Matrix< U, Rows, Cols > &m, T d)
| Multiply the matrix by a scalar.
template<typename T1, unsigned int R1, unsigned int C1, typename T2, unsigned int R2, unsigned int C2>
constexpr Matrix< std::common_type_t< T1, T2 >, R1, C2 > | libcamera::operator* (const Matrix< T1, R1, C1 > &m1, const Matrix< T2, R2, C2 > &m2)
| Matrix multiplication.
template<typename T, unsigned int Rows, unsigned int Cols>
constexpr Matrix< T, Rows, Cols > | libcamera::operator+ (const Matrix< T, Rows, Cols > &m1, const Matrix< T, Rows, Cols > &m2)
| Matrix addition.

## Detailed Description

Matrix class.